neo4j_connection_factory Struct Reference

A factory for establishing communications with neo4j. More...

`#include <neo4j-client.h>`

## Data Fields

struct neo4j_iostream *(* | tcp_connect )(struct neo4j_connection_factory *self, const char *hostname, unsigned int port, neo4j_config_t *config, uint_fast32_t flags, struct neo4j_logger *logger)
| Establish a TCP connection. More...

## Detailed Description

A factory for establishing communications with neo4j.

## Field Documentation

## tcp_connect

struct neo4j_iostream*(* neo4j_connection_factory::tcp_connect) (struct neo4j_connection_factory *self, const char *hostname, unsigned int port, neo4j_config_t *config, uint_fast32_t flags, struct neo4j_logger *logger)

Establish a TCP connection.

Parameters

  [self] | This factory.
  [hostname] | The hostname to connect to.
  [port] | The TCP port number to connect to.
  [config] | The client configuration.
  [flags] | A bitmask of flags to control connections.
  [logger] | A logger that may be used for status logging.

Returns
  A new `neo4j_iostream`, or `NULL` on error (errno will be set).